#include "flute_system.h"
#include "soc_peripherals.h"

__attribute__((interrupt)) void Default_IRQHandler(void) {
    for(;;) {
        //
    }
}

__attribute__((interrupt)) void Timer_IRQHandler(void) {
    SysTick++;

    uint64_t *mtimecmp = (uint64_t *)(CLINT_BASE + 0x4000);
    uint64_t *mtime    = (uint64_t *)(CLINT_BASE + 0xBFF8);

    *mtimecmp = *mtime + SYS_TICK_STEP; // Interrupt flag will be cleared by a write to MTIMECMP.
}