#ifndef __IBEX_SYSTEM_H
#define __IBEX_SYSTEM_H

#include <stdint.h>

#define __csrr(csr, val) asm volatile("csrr %0, " csr "\n" : "=r"(val))
#define __csrw(csr, val) asm volatile("csrw " csr ", %0\n" : : "r"(val))
#define __csrs(csr, val) asm volatile("csrs " csr ", %0\n" : : "r"(val))
#define __csrc(csr, val) asm volatile("csrc " csr ", %0\n" : : "r"(val))

void System_Delay(uint64_t ticks);

#endif